
Robotics Service Bus - Bug #1585
rsb-trunk-maven-deploy sometimes fails
08/02/2013 04:55 PM - J. Wienke

Status: Resolved Start date: 08/02/2013
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Java Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Somewhere in socket transport.

Associated revisions
Revision 988b4022 - 08/02/2013 06:34 PM - J. Wienke

Try to wait longer for results

refs #1585

History
#1 - 08/02/2013 05:26 PM - J. Wienke

Weird, I can only reproduce this on the ci server slave precise64

#2 - 08/02/2013 05:34 PM - J. Wienke

Apart from the real problem I can also see this:

Exception in thread "Thread-97" java.lang.AssertionError
        at rsb.transport.socket.BusBase$ReceiveThread.cleanUpConnection(BusBase.java:174)
        at rsb.transport.socket.BusBase$ReceiveThread.doOneNotification(BusBase.java:126)
        at rsb.transport.socket.BusBase$ReceiveThread.run(BusBase.java:163)
Exception in thread "Thread-94" java.lang.AssertionError
        at rsb.transport.socket.BusBase$ReceiveThread.cleanUpConnection(BusBase.java:174)
        at rsb.transport.socket.BusBase$ReceiveThread.doOneNotification(BusBase.java:126)
        at rsb.transport.socket.BusBase$ReceiveThread.run(BusBase.java:163)

#3 - 08/05/2013 04:12 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

There were two race conditions. They have been fixed in commit:rsb-java|df3b1918 and commit:rsb-java|be28f9bd.
